Explodables Mod Installer for Minecraft 1.2.5

This mod adds many new Explosives to use along with the basic TNT. These are designed to be much safer, both to yourself and the blocks around where you are blasting, and much more flexible allowing you to control what is destroyed by the explosion.

This mod is made by Fearitude, all credit to modder. Please visit the original mod thread and support modder.

Installer Requirements:

Windows PC – Currently only for Windows

.NET Framework 4.o (Most PC’s already have, but if it says you don’t then download here.)

Installer Instructions:

(Before installing any Mods to your minecraft make sure to close it first)

First, download one of the installers below(no difference they are same, just packed differently) Once Downloaded, double click the installer, once it’s started click on “Install” When the installer is done it will display a message that it’s done. Now just close installer and start your minecraft. Mod Installed!

- New installer with Backup option. The new installer is much better at backing up/restoring, so don’t worry about incompatibilities as long as you backup.

Please Support the mod by downloading from the original mod thread here. And also read the Skydaz conditions.

Note: This mod adds ModLoaderMP.

DOWNLOADS

Download Mod from Mod Thread

Download Here .exe   

Download Here .zip

PLEASE CREATE A BACKUP BEFORE INSTALLING ANY MODS – START WITH CLEAN MINECRAFT AND YOU WONT HAVE ANY ISSUES!!!  I AM NOT RESPONSIBLE FOR MESSED UP MINECRAFT. YOU HAVE BEEN WARNED.